/*
==========================================
Name:		F_DS1302.c
Author:		POSPISIL Frantisek
Created:	12/2008
Chip:		ATmega8535
Frequency:	CPU 8MHz
Hardware:	DS1302
==========================================
*/

/* hlavickove soubory */
#include <avr/io.h>
#include "F_DS1302.h"

/* definice funkci */
// ===========================================================================
unsigned char DS1302( unsigned char DS1302addr, unsigned char DS1302data ) // ovladani obvodu DS1302
{
  unsigned char i, u = 0;

  DS1302_ClrClk();
  DS1302_OutSda(); // vystup
  DS1302_ClrSda();
  DS1302_SetRst(); // obvod je vyresetovan
  DS1302addr |= 0x80; // nastavi posledni bit adresy
  for(i=0; i<8; i++) // bude posilat adresu
  {
    if((DS1302addr&0x01)==0x01) DS1302_SetSda()
	else DS1302_ClrSda();
	DS1302addr >>= 1;
	DS1302_SetClk();
	DS1302_ClrClk();
  }
  for(i=0; i<8; i++) // bude posilat data
  {
    if((DS1302data&0x01)==0x01) DS1302_SetSda()
	else DS1302_ClrSda();
	DS1302_OutSda(); // vystup
	DS1302_SetClk();
	DS1302_InpSda(); // vstup
	DS1302_SetSda(); // pripojen pullup
	DS1302_ClrClk(); // konec pulsu hodin
	u >>= 1;
	DS1302data >>= 1; // posune bajt
	if((PINA&0x04)==0x04) u |= 0x80; // nastavi posledni bit
	else u &= ~0x80; // nuluje posledni bit
  }
  DS1302_ClrRst();
  if ((u&0x80)==0x80)
  {
    u <<= 1;
	u++;
  }
  else u <<= 1;
  return( u ); // vrati hodnotu prectenou z obvodu
}
