/*
==========================================
Name:		F_HD44780.h
Author:		POSPISIL Frantisek
Created:	12/2008
Chip:		ATmega8535
Frequency:	CPU 8MHz
Hardware:	HD44780 komunikace 4 bity
==========================================
*/

/* definice maker */
#define LCD_Data		PORTB
#define LCD_SetEnable()	PORTB |= 0x20; // pin6
#define LCD_ClrEnable() PORTB &=~0x20;
#define LCD_SetData()	PORTB |= 0x80; // pin4
#define LCD_SetCommand()PORTB &=~0x80;

/* uplne funkcni prototypy */ 
void Wait_us(unsigned int val);							// 8MHz, optimalization Os
void Wait_ms(unsigned int val);							// ceka mikrosekundy
void LCD_Write(unsigned char val);						// pise na displej
void LCD_WriteComm(unsigned char val);					// zapise ridici kod na displej
void LCD_WriteData(unsigned char val);					// zapise data na displej
void LCD_Clear(void);									// vymaze obsah displeje a nastavi kurzor na zacatek
void LCD_Init(void);									// provede inicializaci displeje
void LCD_Position(unsigned char y, unsigned char x);	// nastavi pozici kurzoru
void LCD_PrDec(unsigned char val);						// dva znaky - 8 bitu decimalne
void LCD_PrDec3(unsigned char val); 					// tri znaky - 8 bitu decimalne
void LCD_PrHex(unsigned char val);						// dva znaky - 8 bitu
void LCD_PrHexInt(unsigned int val);					// ctyri znaky - 16 bitu
void LCD_PrHex1(unsigned char val);						// jeden znak - spodni 4 bity
void LCD_PrSDec(unsigned char val);						// ctyri znaky - 8 bitu decimalne se znamenkem
void LCD_PrDecInt(unsigned int val);					// pet znaku - 16 bitu
void LCD_WriteArray4(unsigned char val);				// napise 4 texty z pole
void LCD_PrTep(unsigned int val);						// vypisuje teplotu se znamenkem
void LCD_Print_Timer(void);								// napise cas na displej
void LCD_Print_AD(void);								// napise napeti z AD prevodniku
void LCD_WriteArray(unsigned char p);					// vypisuje text z pole
void LCD_WriteSpace(unsigned char val );				// napise nejake mezery
